Bug 248080 - net-im/gloox: Update to 1.0.24
Summary: net-im/gloox: Update to 1.0.24
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL: https://camaya.net/gloox/changelog/
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-07-18 20:50 UTC by Marcel Bischoff
Modified: 2020-08-03 16:10 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.09 KB, patch)
2020-07-18 20:50 UTC, Marcel Bischoff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Bischoff 2020-07-18 20:50:03 UTC
Created attachment 216554 [details]
Patch

Portscout flagged this port and since it has no maintainer, here's an update to the latest version.
Comment 1 Automation User 2020-07-18 21:08:10 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/168170314
Comment 2 Fernando Apesteguía freebsd_committer 2020-07-22 05:31:02 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field
Comment 3 Marcel Bischoff 2020-07-30 18:40:00 UTC
From Changelog:

* fixed XML namespace for attribute with empty namespace
* PubSub::Event: add simple ctor
* PubSub::Manager: fixed subscription error case handling
* PubSub: fixed support for instant nodes
* RosterManager: fixed behavior if subscription attribute is absent in roster item
* fixed a memory leak in dns.cpp
* fixed session management/stream resumption
* MUCRoom::MUCUser: include reason if set
* ClientBase: fix honorThreadID
* TLSGnuTLS: disabled TLS 1.3 for now, as there are connection issues with it
Comment 4 commit-hook freebsd_committer 2020-08-03 16:10:27 UTC
A commit references this bug:

Author: fernape
Date: Mon Aug  3 16:09:28 UTC 2020
New revision: 544080
URL: https://svnweb.freebsd.org/changeset/ports/544080

Log:
  net-im/gloox: Update to 1.0.24

  From ChangeLog: https://camaya.net/gloox/changelog/
  Accumulated changes:

   * Tag: fixed XML namespace for attribute with empty namespace
   * PubSub::Event: add simple ctor
   * PubSub::Manager: fixed subscription error case handling
   * PubSub: fixed support for instant nodes
   * RosterManager: fixed behavior if subscription attribute is absent in roster
     item
   * fixed a memory leak in dns.cpp
   * fixed session management/stream resumption
   * MUCRoom::MUCUser: include reason if set
   * ClientBase: fix honorThreadID (first noticed by Erik Johansson in 2010)
   * TLSGnuTLS: disabled TLS 1.3 for now, as there are connection issues with it

  PR:	248080
  Submitted by:	marcel@herrbischoff.com

Changes:
  head/net-im/gloox/Makefile
  head/net-im/gloox/distinfo
  head/net-im/gloox/pkg-plist
Comment 5 Fernando Apesteguía freebsd_committer 2020-08-03 16:10:57 UTC
Committed,

Thanks!